# sodium_crypto_aead_aes256gcm_encrypt

(PHP 7 >= 7.2.0)

sodium_crypto_aead_aes256gcm_encrypt — Encrypt in combined mode with precalculation

### Description

sodium_crypto_aead_aes256gcm_encrypt ( string `$msg` , string `$ad` , string `$nonce` , string `$key` ) : string

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`msg`

`ad`

`nonce`

`key`

### Return Values